Index: make/custom/dmv177.cfg
===================================================================
--- make/custom/dmv177.cfg	(revision 9c559accc050bb9265cf1d96794483085f661db7)
+++ make/custom/dmv177.cfg	(revision 9c559accc050bb9265cf1d96794483085f661db7)
@@ -0,0 +1,112 @@
+#
+#  Config file for a PowerPC 603e based DY-4 VMEbus Single Board Computer.
+#  This BSP should work with the following models:
+#
+#     + SVME-171/DMV-171
+#     + SVME-176/DMV-176
+#
+#  $Id$
+#
+
+include $(PROJECT_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU=ppc
+RTEMS_CPU_MODEL=ppc603e
+
+# This is the actual bsp directory used during the build process.
+
+RTEMS_BSP_FAMILY=dmv170
+
+RTEMS_BSP=dmv170
+
+#  This section makes the target dependent options file.
+
+#  NDEBUG (C library)
+#     if defined asserts do not generate code.  This is commonly used
+#     as a command line option.
+#
+#  RTEMS_TEST_NO_PAUSE (RTEMS tests)
+#     do not pause between screens of output in the rtems tests
+#
+#  STACK_CHECKER_ON (RTEMS support code)
+#     If defined, stack bounds checking is enabled.
+#
+#  STACK_CHECKER_REPORT_USAGE (RTEMS support code)
+#     If this and STACK_CHECKER_ON are defined, then a report on stack usage
+#     per task is printed when the program exits.
+#
+#  RTEMS_DEBUG (RTEMS)
+#     If defined, debug checks in RTEMS and support library code are enabled.
+#
+#  CONSOLE_USE_POLLED     (psim_bsp)
+#  CONSOLE_USE_INTERRUPTS (psim_bsp)
+#     The psim console driver has the structure to operate in either
+#     polled or interrupt mode.  However both modes only trap to the
+#     monitor currently.
+#
+#  PPC_VECTOR_FILE_BASE (ppc)
+#     This defines the base address of the exception table.
+#     NOTE: Vectors are actually at 0xFFF00000 but file starts at offset 0x0100
+#
+#  PPC_ABI (ppc)
+#     This defines the calling convention (Application Binary Interface)
+#     used in this configuration.  EABI is the only one supported.
+#
+#  PPC_ASM (ppc)
+#     This defines the assembly language format used in this configuration.
+#     ELF is the only one supported.
+#
+
+
+
+define make-target-options
+	@echo "/* #define NDEBUG 1 */ "                            >>$@
+	@echo "#define RTEMS_TEST_NO_PAUSE 1"                      >>$@
+	@echo "/* #define STACK_CHECKER_ON  1 */"                  >>$@
+	@echo "/* #define STACK_CHECKER_REPORT_USAGE  1 */"        >>$@
+	@echo "/* #define RTEMS_DEBUG  1 */"                       >>$@
+	@echo "#define CONSOLE_USE_INTERRUPTS 0"                   >>$@
+	@echo "#define CONSOLE_USE_POLLED ~CONSOLE_USE_INTERRUPTS" >>$@
+	@echo "#define PPC_VECTOR_FILE_BASE 0x0100"                >>$@
+	@echo "#define PPC_ABI PPC_ABI_EABI"                       >>$@
+	@echo "#define PPC_ASM PPC_ASM_ELF"                        >>$@
+endef
+
+#  This contains the compiler options necessary to select the CPU model
+#  and (hopefully) optimize for it. 
+#
+CPU_CFLAGS = -mcpu=603
+
+# optimize flag: typically -0, could use -O4 or -fast
+# -O4 is ok for RTEMS
+# NOTE: some level of -O may be actually required by inline assembler
+CFLAGS_OPTIMIZE_V=-O4 -fno-keep-inline-functions
+
+# The following is a linkcmds file which will work without using the
+# -specs system in gcc 2.8.
+#       $(LD) $(XLDFLAGS) -T $(LINKCMDS) \
+#         -o $@ -u atexit -u __vectors -u download_entry $(LINK_FILES)
+#       $(LD) $(XLDFLAGS) -Ttext 0x20000 \
+#         -o $@ -u atexit -u __vectors -u download_entry $(LINK_FILES)
+
+#       $(CC) -mmvme -mrtems -nostartfiles -mcpu=603 \
+#           -o $(basename $@).exe -L $(PROJECT_RELEASE)/lib \
+#            $(START_FILE) $(LINK_OBJS) \
+#            $(LD_LIBS) \
+#           -Wl,-\( -Wl,-lc -Wl,-lrtemsall -Wl,-lgcc -Wl,-\)
+define make-exe
+	$(CC) $(CFLAGS) -o $(basename $@).nxe $(LINK_OBJS)
+	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
+	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
+	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
+	$(SIZE) $(basename $@).nxe
+endef
+
+# Miscellaneous additions go here
+
+# No start file
+START_BASE=
+
+
+DRIVER_ARCHITECTURE=vmebus
